Bug 436894 - Review Request: universalindentgui - Gui for Reformatting Source
Review Request: universalindentgui - Gui for Reformatting Source
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-10 19:42 EDT by Neal Becker
Modified: 2008-05-12 02:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-12 02:07:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2008-03-10 19:42:05 EDT
Spec URL: http://nbecker.dyndns.org:8080/RPM/universalindentgui.spec
SRPM URL:\http://nbecker.dyndns.org:8080/RPM/universalindentgui-0.8.0-1.fc8.src.rpm
Description: 
The UniversalIndentGUI is a universal graphical user interface for source code, respective text, formatter, beautifier and indenter. This is mainly achieved by a configuration file for each supported indenter.

One of the main features and the reason why this tool was (better is being right now) developed is to see how the indent parameter affects the source code style directly while changing the parameters. It always bothered me to change one option of a tool like GNU Indent or GreatCode and have to run it to see what my code would look like afterward. Often the result was not what I expected from the parameters description. So these times are gone. Toggle a parameter and see what it does.
Comment 1 Parag AN(पराग) 2008-03-11 01:23:56 EDT
build is unsuccessful as root.log showed me at
http://koji.fedoraproject.org/koji/taskinfo?taskID=510161
No Package Found for qscintilla2-devel
Comment 3 Parag AN(पराग) 2008-03-12 06:48:13 EDT
change  http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz to
 http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz as per given at 

I didn't get by these lines 
# this is just a guess
Provides:       perl(PerlTidyLib)


you don't need INSTALL.txt in %doc as its not informative to rpm based package
installed.

Use some uniqueness in following lines 
%{_bindir}/%{name}
%{_datadir}/%name
Comment 4 Neal Becker 2008-03-12 19:25:54 EDT
1. Without the Provides, refuses to install, saying 
requires 'perl(PerlTidyLib)'.  I know nothing about perl.   I just added this 
line as a guess as to what to do.

2. "Use some uniqueness..."  I'm sorry - I don't understand.

3. Upstream made some fixes for us, now updated to svn634.  This one passes 
rpmlint with just 1 small warning.

http://nbecker.dyndns.org:8080/RPM/universalindentgui-0.8.0.svn634-1.fc8.src.rpm
http://nbecker.dyndns.org:8080/RPM/universalindentgui.spec
Comment 5 Parag AN(पराग) 2008-03-12 23:50:44 EDT
(In reply to comment #4)
> 1. Without the Provides, refuses to install, saying 
> requires 'perl(PerlTidyLib)'.  I know nothing about perl.   I just added this 
> line as a guess as to what to do.
 
   I didn't see any problem with updated SRPM after I rebuilt it on rawhide
removing that provides lines.
  Can you check again?

> 
> 2. "Use some uniqueness..."  I'm sorry - I don't understand.
 I mean to change
%{_bindir}/%{name}
%{_datadir}/%name

to
%{_bindir}/%{name}
%{_datadir}/%{name}


> 
> 3. Upstream made some fixes for us, now updated to svn634.  This one passes 
> rpmlint with just 1 small warning.
> 
> http://nbecker.dyndns.org:8080/RPM/universalindentgui-0.8.0.svn634-1.fc8.src.rpm
> http://nbecker.dyndns.org:8080/RPM/universalindentgui.spec

I see rpmlint warning each on RPM and SRPM.
1) As, you are using any patch now, can you remove lines related with applying
patch in SPEC.
2) add following line to %prep
 chmod 644 doc/iniFileFormat.html

Above 2 fixes will silent rpmlint.

also, I see still source url is not as per guidelines. Sorry that I missed to
give reference url in comment #13
check
http://fedoraproject.org/wiki/Packaging/SourceURL#head-e27982f18a3bfd26b5b6ecbee113d2d8f3f006f2
Comment 6 Parag AN(पराग) 2008-03-19 06:26:45 EDT
ping?
Comment 7 Neal Becker 2008-03-19 06:37:42 EDT
I'm waiting for a new release from upstream.  He just emailed me saying it 
would maybe be next week.  The last rpm I built was from his svn, and he told 
me he did not want that released.
Comment 8 Parag AN(पराग) 2008-03-31 02:00:31 EDT
I am also waiting for updated SRPM for review :)
Comment 9 Parag AN(पराग) 2008-04-03 23:41:10 EDT
ping?
Comment 11 Parag AN(पराग) 2008-04-10 00:17:24 EDT
rpmlint complained
universalindentgui.src:16: W: unversioned-explicit-provides perl(PerlTidyLib)
The specfile contains an unversioned Provides: token, which will match all
older, equal, and newer versions of the provided thing.  This may cause
update problems and will make versioned dependencies, obsoletions and conflicts
on the provided thing useless -- make the Provides versioned if possible.

universalindentgui.i386: I: checking
universalindentgui.i386: W: devel-file-in-non-devel-package
/usr/share/universalindentgui/indenters/example.cpp
A development file (usually source code) is located in a non-devel
package. If you want to include source code in your package, be sure to
create a development package.

universalindentgui.i386: E: non-executable-script
/usr/share/universalindentgui/indenters/example.sh 0644
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

universalindentgui.i386: E: wrong-script-end-of-line-encoding
/usr/share/universalindentgui/indenters/example.sh
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

universalindentgui.i386: W: spurious-executable-perm
/usr/share/doc/universalindentgui-0.8.1/iniFileFormat.html
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.


Comment 12 Parag AN(पराग) 2008-04-27 06:26:25 EDT
No reply from package submitter. I will prefer to move away from such reviews
where no updated has been provided by package submitter for more than 15 days.
Comment 13 Jason Tibbitts 2008-04-28 14:55:56 EDT
I'm not sure why you don't just follow the stalled review policy and work
towards getting these tickets closed instead of returning them to the queue
where someone else will have to spend time going through the same process.
http://fedoraproject.org/wiki/PackageMaintainers/Policy/StalledReviews
Comment 14 Parag AN(पराग) 2008-04-29 00:15:15 EDT
Sure. Will start stalled review process. Will wait for another week for any
update so that once a month gets completed as per given in StalledReviews wiki
page, I will close this review as NOTABUG and mark this as FE-DEADREVIEW.
Comment 15 Parag AN(पराग) 2008-05-12 02:07:02 EDT
sorry as last hope I took one more week assuming I will get some updated here
but as I can see no progress happening here, better we close this for now.
Once you will get updated feel free to reopen this review.

Note You need to log in before you can comment on or make changes to this bug.